# screenshot.h File Reference

Functions to make screenshots. More...

Go to the source code of this file.

## Enumerations
enum | ScreenshotType { SC_VIEWPORT, SC_RAW, SC_ZOOMEDIN, SC_WORLD }
| Type of requested screenshot. More...
## Functions
void | InitializeScreenshotFormats ()
const char * | GetScreenshotFormatDesc (int i)
void | SetScreenshotFormat (uint i)
bool | MakeScreenshot (ScreenshotType t, const char *name)
| Make an actual screenshot.
## Variables
char | _screenshot_format_name [8]
uint | _num_screenshot_formats
uint | _cur_screenshot_format
char | _full_screenshot_name [MAX_PATH]

## Detailed Description

Functions to make screenshots.

Definition in file screenshot.h.

## Enumeration Type Documentation

enum ScreenshotType

Type of requested screenshot.

Enumerator:

  SC_VIEWPORT | Screenshot of viewport.
  SC_RAW | Raw screenshot from blitter buffer.
  SC_ZOOMEDIN | Zoomed in screenshot of the visible area.
  SC_WORLD | World screenshot.

Definition at line 21 of file screenshot.h.

## Function Documentation

bool MakeScreenshot | ( | ScreenshotType | t,
|  | const char * | name |
| ) |  |  |

Make an actual screenshot.

Parameters:

  | t | the type of screenshot to make.
  | name | the name to give to the screenshot.

Returns:
  true iff the screenshow was made successfully

Definition at line 709 of file screenshot.cpp.

References DrawDirtyBlocks(), INVALID_STRING_ID, lastof, MakeSmallScreenshot(), MakeWorldScreenshot(), MakeZoomedInScreenshot(), SC_RAW, SC_VIEWPORT, SC_WORLD, SC_ZOOMEDIN, SetDParamStr(), ShowErrorMessage(), strecpy(), WL_ERROR, and WL_WARNING.

Referenced by CrashLog::WriteScreenshot().